from setuptools import setup, find_packages

setup(
    name='nollama',
    version='0.1.0',
    packages=find_packages(),
    install_requires=[
        'aiohappyeyeballs==2.4.0',
        'aiohttp==3.10.5',
        'aiohttp_socks==0.9.0',
        'aiosignal==1.3.1',
        'altgraph==0.17.4',
        'annotated-types==0.7.0',
        'anyio==4.4.0',
        'async-timeout==4.0.3',
        'attrs==24.2.0',
        'beautifulsoup4==4.12.3',
        'blessed==1.20.0',
        'blinker==1.8.2',
        'bottle==0.12.25',
        'Brotli==1.1.0',
        'browser-cookie3==0.19.1',
        'cairocffi==1.7.1',
        'CairoSVG==2.7.1',
        'certifi==2024.7.4',
        'cffi==1.17.0',
        'charset-normalizer==3.3.2',
        'click==8.1.7',
        'cryptography==43.0.0',
        'cssselect2==0.7.0',
        'curl_cffi==0.7.1',
        'defusedxml==0.7.1',
        'duckduckgo_search==6.2.10',
        'editor==1.6.6',
        'fastapi==0.112.1',
        'Flask==3.0.3',
        'frozenlist==1.4.1',
        'g4f==0.3.2.4',
        'h11==0.14.0',
        'idna==3.7',
        'inquirer==3.4.0',
        'itsdangerous==2.2.0',
        'jeepney==0.8.0',
        'Jinja2==3.1.4',
        'loguru==0.7.2',
        'lz4==4.3.3',
        'markdown-it-py==3.0.0',
        'MarkupSafe==2.1.5',
        'mdurl==0.1.2',
        'multidict==6.0.5',
        'nest-asyncio==1.6.0',
        'packaging==24.1',
        'pillow==10.4.0',
        'platformdirs==4.2.2',
        'plyer==2.1.0',
        'primp==0.6.1',
        'proxy_tools==0.1.0',
        'pycparser==2.22',
        'pycryptodome==3.20.0',
        'pycryptodomex==3.20.0',
        'pydantic==2.8.2',
        'pydantic_core==2.20.1',
        'PyExecJS==1.5.1',
        'Pygments==2.18.0',
        'pyinstaller==6.10.0',
        'pyinstaller-hooks-contrib==2024.8',
        'python-socks==2.5.1',
        'pywebview==5.2',
        'readchar==4.2.0',
        'requests==2.32.3',
        'rich==13.7.1',
        'runs==1.2.2',
        'setuptools==73.0.1',
        'six==1.16.0',
        'sniffio==1.3.1',
        'soupsieve==2.6',
        'starlette==0.38.2',
        'termcolor==2.3.0',
        'tinycss2==1.3.0',
        'typing_extensions==4.12.2',
        'urllib3==2.2.2',
        'uvicorn==0.30.6',
        'wcwidth==0.2.13',
        'webencodings==0.5.1',
        'Werkzeug==3.0.4',
        'xmod==1.8.1',
        'yarl==1.9.4',
        'yaspin==3.0.2'
    ],
    entry_points={
        'console_scripts': [
            'nollama=nollama.nollama:main',
        ],
    },
    description='A terminal-based interface for interacting with large language models (LLMs)',
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    url='https://github.com/spignelon/nollama',
    author='Ujjawal Saini',
    author_email='spignelon@proton.me',
    license='GPL-3.0',
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: GNU General Public License v3 (GPLv3)',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10',
        'Programming Language :: Python :: 3.11',
    ],
    python_requires='>=3.9',
)
